<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");

$Cve_Modulo = "CMOD201506100199";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
			
				////identificar cuenta 
					$sqlCR2 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
					if (mysql_numrows($sqlCR2)==0) echo "";
					else{
					$registroCR2=mysql_fetch_array($sqlCR2);
					}
					if (mysql_numrows($sqlCR2)>0)
					{
					$CuentaCR1=$registroCR2["CVE_CUENTA"];
					$NomBodCR2=$registroCR2["NOMBRE_CUENTA"];
					$ClavBodCR2=$registroCR2["CVE_BODEGA"];
					
					}			
			
				////identificar bodega
					$sqlCR3 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$ClavBodCR2'");
					if (mysql_numrows($sqlCR3)==0) echo "";
					else{
					$registroCR3=mysql_fetch_array($sqlCR3);
					}
					if (mysql_numrows($sqlCR3)>0)
					{
					$BodBodCR1=$registroCR3["CVE_BODEGA"];
					$NomBodegaCR2=$registroCR3["NOMBRE_BODEGA"];
					}

////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->
</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()">

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<Br><Br><Br><Br><Br><Br><Br><Br>
<?PHP

///Arrastrando Valores
$OrdenTrabajoEn=$_GET["NoOrdenKP"] or $OrdenTrabajoEn=$_POST["NoOrdenKP"];
			
///Identificar los datos del Documento de Recibo
$sqlIDR1 = mysql_query("select ESTADO_ORDEN from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn'");
if (mysql_numrows($sqlIDR1)==0) echo "";
else{
$registroIDR1=mysql_fetch_array($sqlIDR1);
}
if (mysql_numrows($sqlIDR1)>0)
{
$EdoOrdeIDR1=$registroIDR1["ESTADO_ORDEN"];
}
			
///Validar el Estado de la Orden
 if ($EdoOrdeIDR1=="CERRADA")
 {
echo "<script>alert('No es posible procesar el Backorder a la Orden: $NoOrdenEn debido a que dicha orden actualmente se encuentra CERRADA.\\n\\nFavor de corroborarlo. ');</script>";
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NoOrden=$OrdenTrabajoEn'>";
 }
 else
 { ///Inicia If Valida Estado de la Orden
	 
			
///************************* INICIA ALGORITMO 1			
				
///Barrer toda la Orden de Trabajo
$sql_W1=mysql_query("Select * from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND ( ESTADO_LINEA<>'BACKORDER' OR ESTADO_LINEA<>'MAQUILADA' OR ESTADO_LINEA<>'CANCELADA' OR ESTADO_LINEA<>'CANCELADA (IT)' OR ESTADO_LINEA<>'ABASTECIDA') Order By ID ASC");
while($res_W1=mysql_fetch_array($sql_W1))
{///Inicia While 01
$IdBaDa_w1 = $res_W1['ID'];	
$PedSol_w1 = $res_W1['PEDIMENTO_SOLICITADO'];
$TipExt_w1 = $res_W1['TIPO_EXTRACCION'];
$CodSku_w1 = $res_W1['SKU'];
$CanTra_w1 = $res_W1['CANTIDAD_X_TRABAJAR'];

	
	///Identificar el total de piezas asignadas a las tareas de cada codigo dentro de la Orden
		$sqlSUMA = "Select SUM(CANT_XTAREA) as TotPzasTraslado FROM extra_tareas_ordentrabajo WHERE CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA='PENDIENTE'";
		$resSUMA = mysql_query($sqlSUMA); 
		$PrePiezas = mysql_fetch_assoc($resSUMA);
		$TotPieTra =  $PrePiezas ['TotPzasTraslado'];
	
	///Identificar el Total de Piezas ya Trasladadas Anteriormente
		$sql_IPT = mysql_query("select CANTIDAD_X_TRABAJAR, CANTIDAD_TRASLADADA from extra_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_LINEA<>'MAQUILADA'");
		if (mysql_numrows($sql_IPT)==0) echo "";
		else{
		$registro_IPT=mysql_fetch_array($sql_IPT);
		}
		if (mysql_numrows($sql_IPT)>0)
		{
		$CantxTrabaj_IPT=$registro_IPT["CANTIDAD_X_TRABAJAR"];
		$CantActTras_IPT=$registro_IPT["CANTIDAD_TRASLADADA"];
		}
	
	///Identificar tipo de Dato
		if ($CantActTras_IPT == "")
		{
			$CantActTras_IPT ="0";
		}
		else
		{ 
			$CantActTras_IPT = $CantActTras_IPT;
		}
	
	$TotalTraslado = $CantActTras_IPT + $TotPieTra;
	
	
	///Identificar el Estatus de la Linea
		if ($CantxTrabaj_IPT == $TotalTraslado)
		{
			$EstatusLinea ="MAQUILADA";
		}
		else
		{ 
			$EstatusLinea ="ABASTECIENDO";
		}
	
	
	///Realizar Modificación a la Linea de la Maquila
	$sql_MLM="Update extra_ordentrabajo SET CANTIDAD_TRASLADADA='$TotalTraslado',CANTIDAD_TRABAJADA='$TotalTraslado',ESTADO_LINEA='$EstatusLinea' Where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_LINEA<>'MAQUILADA'";
	///$sql_MLM="Update extra_ordentrabajo SET CANTIDAD_TRASLADADA='$TotalTraslado' Where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_LINEA<>'MAQUILADA'";
	$resultado_MLM=mysql_query($sql_MLM,$conexion) or die(mysql_error());
		
	
	///************************* INICIA ALGORITMO 2 
	///************************* Realizar Traspasos Automáticos
	
	///Barrer toda la Orden de Trabajo
	$sql_W2=mysql_query("Select * from extra_tareas_ordentrabajo where CVE_CUENTA='$CuentaCR1' AND NO_ORDEN='$OrdenTrabajoEn' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA='PENDIENTE'");
	while($res_W2=mysql_fetch_array($sql_W2))
	{///Inicia While 02
		$IdBaDa_w2 = $res_W2['ID'];
		$NumTar_w2 = $res_W2['NO_TAREA'];	
		$NoPall_w2 = $res_W2['NO_PALLET'];	
		$NoPaNu_w2 = $res_W2['NO_PALLET_NUEVO'];	
		$PedSol_w2 = $res_W2['PEDIMENTO_SOLICITADO'];
		$TipExt_w2 = $res_W2['TIPO_EXTRACCION'];
		$CodSku_w2 = $res_W2['SKU'];
		$CanXTa_w2 = $res_W2['CANT_XTAREA'];
		$UbiAct_w2 = $res_W2['UBICACION'];
		
		///Hora y Fecha
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$FechaOk=date("Y/m/d");
		
		///******
		///****** TRASLADOS DE STOCK A MAQUILA
		
		///Identificar datos del Pallet a Mover
		$sql_IDPN = mysql_query("select SKU_ALT,NO_DOCUMENTO,EDO_CALIDAD from tabla_inventario where SKU='$CodSku_w2' AND CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPaNu_w2'");
		if (mysql_numrows($sql_IDPN)==0) echo "";
		else{
		$registro_IDPN=mysql_fetch_array($sql_IDPN);
		}
		if (mysql_numrows($sql_IDPN)>0)
		{
		$SkuAlt_IDPN=$registro_IDPN["SKU_ALT"];
		$NoDocu_IDPN=$registro_IDPN["NO_DOCUMENTO"];
		$Calida_IDPN=$registro_IDPN["EDO_CALIDAD"];
		}
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Traspaso a Menos en KARDEX
		$sql_TN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','TRASPASO -','$UbiAct_w2','$NoPaNu_w2','-$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_TN=mysql_query($sql_TN,$conexion) or die(mysql_error());
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Traspaso a Mas en KARDEX
		$sql_TP = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','TRASPASO +','200-1-1-1','$NoPaNu_w2','$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_TP=mysql_query($sql_TP,$conexion) or die(mysql_error());
		
		///*********
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Cambio Calidad a Menos en KARDEX
		$sql_CCN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','CALIDAD - $Calida_IDPN','200-1-1-1','$NoPaNu_w2','-$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_CCN=mysql_query($sql_CCN,$conexion) or die(mysql_error());
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Cambio Calidad en KARDEX
		$sql_CCP = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','CALIDAD + M','200-1-1-1','$NoPaNu_w2','$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_CCP=mysql_query($sql_CCP,$conexion) or die(mysql_error());
		
		///******
		///****** TRASLADOS DE MAQUILA A PENDIENTE DE EMBARQUE
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Traspaso a Menos en KARDEX
		$sql_TN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','TRASPASO -','200-1-1-1','$NoPaNu_w2','-$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_TN=mysql_query($sql_TN,$conexion) or die(mysql_error());
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Traspaso a Mas en KARDEX
		$sql_TP = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','TRASPASO +','300-1-1-1','$NoPaNu_w2','$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_TP=mysql_query($sql_TP,$conexion) or die(mysql_error());
		
		///*********
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Cambio Calidad a Menos en KARDEX
		$sql_CCN = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','CALIDAD - M','300-1-1-1','$NoPaNu_w2','-$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_CCN=mysql_query($sql_CCN,$conexion) or die(mysql_error());
		
		///Generador de Folio concecutivo en la tabla Kardex
		$sql_GId1 = "select max(ID) as ultimo_FOLIO from tabla_kardex"; 
		$lib_GId1 = mysql_query($sql_GId1); 
		$rs_lib_GId1 = mysql_fetch_assoc($lib_GId1); 
		$id_nuevo_GId1 = $rs_lib_GId1['ultimo_FOLIO'] + 1;
		
		///Guardar el registro Cambio Calidad en KARDEX
		$sql_CCP = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO) values('$id_nuevo_GId1','$ClavBodCR2','$CuentaCR1','$CodSku_w2','$SkuAlt_IDPN','$NoDocu_IDPN','CALIDAD + PE','300-1-1-1','$NoPaNu_w2','$CanXTa_w2','$HoraOK','$FechaOk','$UsuEn')";
		$resultado_CCP=mysql_query($sql_CCP,$conexion) or die(mysql_error());
		
		
		///Realizar Modificación a la tarea
		$sql_MPS="Update extra_tareas_ordentrabajo SET CANT_SURTIDA='$CanXTa_w2', ESTADO_TAREA='EJECUTADA', USUARIO_EJECUTO='$UsuEn', FECHA_EJECUTO='$FechaOk', HORA_EJECUTO='$HoraOK' Where NO_ORDEN='$OrdenTrabajoEn' AND CVE_CUENTA='$CuentaCR1' AND TIPO_EXTRACCION='$TipExt_w1' AND SKU='$CodSku_w1' AND PEDIMENTO_SOLICITADO='$PedSol_w1' AND ESTADO_TAREA='PENDIENTE' AND NO_PALLET_NUEVO='$NoPaNu_w2' AND ID='$IdBaDa_w2'";
		$resultado_MPS=mysql_query($sql_MPS,$conexion) or die(mysql_error());		
		
		///Realizar Modificación al Pallet dentro del stock
		$sql_MPS="Update tabla_inventario SET UBICACION='300-1-1-1',PRIORIDAD='9100',EDO_CALIDAD='PE' Where SKU='$CodSku_w2' AND CVE_CUENTA='$CuentaCR1' AND NO_PALLET='$NoPaNu_w2'";
		$resultado_MPS=mysql_query($sql_MPS,$conexion) or die(mysql_error());
		
		///Limpiando Variables del While 02
		$IdBaDa_w2  = "";
		$NumTar_w2  = "";
		$NoPall_w2  = "";
		$NoPaNu_w2  = "";
		$PedSol_w2  = "";
		$TipExt_w2  = "";
		$CodSku_w2  = "";
		$CanXTa_w2  = "";
		$UbiAct_w2  = "";
		
	}///Inicia While 02
	
	
	
	///Limpiando Variables del While 01
		$EstatusLinea  = "";
		$CantxTrabaj_IPT = "";
		$TotalTraslado  = "";
		$CantActTras_IPT  = "";
		$TotPieTra = "";
		$IdBaDa_w1 = "";
		$PedSol_w1 = "";
		$TipExt_w1 = "";
		$CodSku_w1 = "";
		$CanTra_w1 = "";

}///Termina While 01
			

		///Redirecciondo a la 2° Fase del BackOrder
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=126-VisualizacionDetalleOrdenDeTrabajo.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&NoOrden=$OrdenTrabajoEn'>";
					
?>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina If Valida Estado de la Orden
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
	
</body>
</html>